---
title: MathML
slug: Web/MathML
tags:
  - Landing
  - MathML
  - Reference
  - Web
  - XML
---
<div>{{MathMLRef}}</div>

<p class="summary"><span class="seoSummary"><strong>Mathematical Markup Language (MathML)</strong> is a dialect of <a href="/en-US/docs/XML">XML</a> for describing mathematical notation and capturing both its structure and content.</span></p>

<p>Here you'll find links to documentation, examples, and tools to help you work with this powerful technology. For a quick overview, see the <a href="https://fred-wang.github.io/MozSummitMathML/index.html">slides for the innovation fairs at Mozilla Summit 2013</a>.</p>

<div class="row topicpage-table">
<div class="section">
<h2 id="MathML_reference">MathML reference</h2>

<dl>
 <dt><a href="/en-US/docs/Web/MathML/Element">MathML element reference</a></dt>
 <dd>Details about each MathML element and compatibility information for desktop and mobile browsers.</dd>
 <dt><a href="/en-US/docs/Web/MathML/Attribute">MathML attribute reference</a></dt>
 <dd>Information about MathML attributes that modify the appearance or behavior of elements.</dd>
 <dt><a href="/en-US/docs/Web/MathML/Examples">MathML examples</a></dt>
 <dd>MathML samples and examples to help you understand how it works.</dd>
 <dt><a href="/en-US/docs/Web/MathML/Authoring">Authoring MathML</a></dt>
 <dd>Suggestions and tips for writing MathML, including suggested MathML editors and how to integrate their output into Web content.</dd>
</dl>

<p><a href="/en-US/docs/tag/MathML">View All...</a></p>
</div>

<div class="section">
<h2 id="Getting_help_from_the_community">Getting help from the community</h2>

<ul>
 <li>View Mozilla forums...<br>
  {{ DiscussionList("dev-tech-mathml", "mozilla.dev.tech.mathml") }}</li>
 <li><a href="https://chat.mozilla.org/#/room/#mathml:mozilla.org">Matrix chat room</a></li>
 <li><a href="https://wiki.mozilla.org/MathML:Home_Page">Wiki used by Mozilla contributors</a></li>
 <li><a href="https://www.w3.org/Math/" title="http://www.w3.org">W3C Math Home</a></li>
 <li><a href="https://lists.w3.org/Archives/Public/www-math/" title="http://lists.w3.org">www-math w3.org mail archive</a></li>
</ul>

<h2 id="Tools">Tools</h2>

<ul>
 <li><a href="https://validator.w3.org" title="http://validator.w3.org">W3C Validator</a></li>
 <li><a href="https://addons.mozilla.org/firefox/collections/fred_wang/mathzilla/">Mathzilla Firefox add-on collection</a></li>
 <li><a href="https://github.com/fred-wang/TeXZilla">TeXZilla</a> — Javascript LaTeX to MathML converter (<a href="https://fred-wang.github.io/TeXZilla/" title="https://fred-wang.github.io">live demo</a>, <a href="https://r-gaia-cs.github.io/TeXZilla-webapp/" title="https://r-gaia-cs.github.io">Firefox OS webapp</a>, <a href="https://addons.mozilla.org/en-US/firefox/addon/texzilla/">Firefox add-on</a>, <a href="https://github.com/fred-wang/TeXZilla/wiki/Using-TeXZilla">using in a Web Page, JS program etc</a>)</li>
 <li><a href="https://dlmf.nist.gov/LaTeXML/" title="https://dlmf.nist.gov">LaTeXML</a> - Convert LaTeX documents into HTML+MathML Web pages</li>
 <li><a href="https://www.mathjax.org/" title="https://www.mathjax.org">MathJax</a> - Cross-browser JavaScript display engine for mathematics. To force MathJax to use native MathML, try <a href="https://addons.mozilla.org/en-US/firefox/addon/mathjax-native-mathml/">this Mozilla add-on</a>, this <a href="https://fred-wang.github.io/mathjax-native-mathml-safari/mathjax-native-mathml.safariextz" title="https://fred-wang.github.io">Safari extension</a> or this <a href="https://openuserjs.org/scripts/fred.wang/MathJax_Native_MathML/">GreaseMonkey script</a>.</li>
</ul>

<h2 id="Related_topics">Related topics</h2>

<ul>
 <li><a href="/en-US/docs/Web/CSS">CSS</a></li>
 <li><a href="/en-US/docs/Web/HTML">HTML</a></li>
 <li><a href="/en-US/docs/Web/SVG">SVG</a></li>
</ul>
</div>
</div>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("mathml.elements.math", 0)}}</p>
